> ## Documentation Index
> Fetch the complete documentation index at: https://about.sendforsign.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create from template

> Create a new contract using an existing template.

### Body parameters

<ParamField body="data" type="object" required>
  <Expandable title="child attribute">
    <ParamField body="action" type="string" required>
      Action type.
    </ParamField>

    <ParamField body="clientKey" type="string" required>
      Key of the client.
    </ParamField>

    <ParamField body="userKey" type="string">
      ID of the user who create the contract. If not specified, the default user credentials will be used.
    </ParamField>

    <ParamField body="contract" type="object" required>
      Contract structure.

      <Expandable title="child attribute">
        <ParamField body="name" type="string">
          Name of the contract.
        </ParamField>

        <ParamField body="templateKey" type="string">
          Template from which you are creating a contract.
        </ParamField>
      </Expandable>
    </ParamField>
  </Expandable>
</ParamField>

### Response

<ResponseField name="contract" type="string">
  Contract structure.

  <Expandable title="child attribute">
    <ResponseField name="createTime" type="string">
      Create time.
    </ResponseField>

    <ResponseField name="contractKey" type="string">
      ID of the contract.
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="code" type="string">
  The code of the answer.
</ResponseField>

<ResponseField name="message" type="string">
  The message of the answer.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST 'https://api.sendforsign.com/api/contract' \
       -H 'X-Sendforsign-Key: YOUR_API_KEY' \
       -H 'Content-Type: application/json' \
       -d '{ 
  		  "data": {
  				   "action": "create",
  				   "clientKey": "YOUR_CLIENT_KEY",
                     "userKey": "USER_KEY", 
  				   "contract": {
  							  "name": "New contract",
  							  "templateKey": "TEMPLATE_KEY"
  						     }
  				  }
         }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
       {
         "contract": {
                  "createTime": "2023-12-01 12:18:55",
                  "contractKey": "CONTRACT_KEY"
                   },
         "code": "201",
         "message": "Contract created"
      }
  ```
</ResponseExample>
